function [xs, lams, val] = amsopt_newtoncopt_v2(fobj, fcnst, x0, N, M, fopt, solpars)

lopt = struct();
lopt.fopt = fopt;
lopt.fobj = fobj;
lopt.fcnst = fcnst;
lopt.N = N;
lopt.M = M;

l0 = zeros(M,1);
z0 = [x0;l0];

[zs, val] = amsopt_newton_v2(@amsopt_lagrangewrapperfunc,z0,N+M,lopt,solpars);

xs = zs(1:N,1);
lams = zs(N+1:N+M,1);

return