%Testscript 2B - test CGLS algorithm and line-search

if(0)
    N = 100;
    A = 2.0.*rand(N,N)-ones(N,N);
    fopt = struct();
    fopt.A = A;
    fopt.N = N;
    x0 = rand(N,1);
    save('testscript_2b_mat');
else
    load('testscript_2b_mat');
end

fpnt = @testfunc_2b;

solpars = struct();
solpars.maxiter = 10;
solpars.verbose=4;
solpars.wlf_itermax = 20;

Ni = 20;
fl = [];

for I = 1:Ni
    [xs,flg] = amsopt_cgls(fpnt,x0,fopt,N,solpars);
    fl(I) = fpnt(xs,fopt);
    x0 = xs;
end

plot(fl);