clc; clear all;

r0 = [1,0,0];
v0 = [0,1.1,0];
mu = 1;

oe0 = amsorb_rv_to_oe(r0,v0,mu);

x = linspace(-20,20,200);
for I = 1:size(x,2)
    z(I) = x(I)^2/oe0.p*(1-oe0.e^2);
    t(I) = tgx(x(I),mu,r0,v0,oe0);
    C(I) = Cz(z(I));
    S(I) = Sz(z(I));
end


for I = 1:size(t,2)
    x2(I) = xgt(t(I),mu,r0,v0,oe0);
end



figure(1)
clf; hold on;
plot(x,t,'b');
plot(x2,t,'r')
%plot(x,x2,'r');
xlabel('x');
ylabel('t');

figure(2)
clf; hold on;
plot(z,C,'r');
plot(z,S,'b');

path('../matlab_lib',path);
xs = xgt(10,mu,r0,v0,oe0);

