function z = amsorb_top2_unspool_z(optpars,t0,tf)

%optpars = struct();
%bvalid  - given the thrust and dVs, is it likely that a solution can be found? 
tt0 = optpars.tt0; %time after start to stop initial burn
ttf = optpars.ttf; %time before finish to begin thrusting
azlst1 = optpars.azlst1; %thrust pointing list
ellst1 = optpars.ellst1;
azlst2 = optpars.azlst2;
ellst2 = optpars.ellst2;

tf0 = tt0/(tf-t0);
tff = ttf/(tf-t0);

Nazel = size(azlst1,2);
z = [tf0;tff;azlst1';ellst1';azlst2';ellst2'];

return