clc; clear all;

load('ImpulseStats');

imp_dVlst = dV_lst;
imp_mf_lst1 = mf1_lst;
imp_mf_lst2 = mf2_lst;
imp_JDf_lst = JDf_lst;
imp_t = imp_JDf_lst-JD0;

load('LowThrustStats2c');

LT1_JDf_lst_all = JDf_lst;

LT1_dV1 = [];
LT1_mf1 = [];
LT1_JDf1 = [];
LT1_J2_1 = [];

J = 1;
for I = 1:size(opts_lst1,2)
    if(val_lst1(I)==1)
        LT1_dV1(J) = dV_lst1(I);
        LT1_mf1(J) = mf_lst1(I);
        LT1_JD2_1(J) = J2_lst1(I);
        LT1_JDF1(J) = LT1_JDf_lst_all(I);
        LT1_t(J) = LT1_JDF1(J)-JD0;
        J = J + 1;
    end
end

figure(1)
clf; hold on;
%delta-V figure
plot(imp_t,imp_dVlst./1000,'k');
plot(LT1_t,LT1_dV1./1000,'bo');
xlabel('Time of Flight (days)');
ylabel('\Delta-V (km/sec)');

figure(2)
clf; hold on;
%mass-fraction figure
plot(imp_t,imp_mf_lst1,'k');
plot(imp_t,imp_mf_lst2,'b');
plot(LT1_t,LT1_mf1,'ro');
xlabel('Time of Flight (days)');
ylabel('Mass Fraction m_f/m_0');
legend('Imp 400 sec Isp','Imp 850 sec Isp','LT 1 mm/sec^2 3000 sec Isp');
