path('../matlab_lib',path);

mu = 1;

figure(2);
clf; hold on;

for I = 1:10
    r = 2.0.*(rand(3,1))-ones(3,1).*1; r = r./norm(r); r = r.*1.5;
    %v = rand(3,1).*2.0;
    v = rand(3,1);
    v = cross(r,v);
    v = v./norm(v).*2.0*rand();
    oe = amsorb_rv_to_oe(r,v,mu);
    [r2,v2] = amsorb_oe_to_rv(oe,mu);
    ams_draworbit(oe,mu,[1,0,0]);
    [r-r2,v-v2,r,v,r2,v2]
end

opt = struct();
opt.alph = 0.75;
opt.col = [0.1, 0.1, 1];
ams_drawsphere(0.25,[0,0,0],opt);
%END Figure 2

axis equal;
axis([-3,3,-3,3,-3,3]);

oe1 = amsorb_rv_to_oe([1,0,0],[0,0.5,0],mu);
oe2 = amsorb_rv_to_oe([1,0,0],[0,1,0],mu);
oe3 = amsorb_rv_to_oe([1,0,0],[0,1.5,0],mu);
oe4 = amsorb_rv_to_oe([1,0,0],[0,2.5,0],mu);

%oe1.nue = pi;
%oe2.nue = 0.1;
%oe3.nue = 0.2;
%oe4.nue = 0.3;

figure(1);
clf; hold on;
ams_draworbit(oe1,mu,[0,0,1]);
ams_draworbit(oe2,mu,[0,0.5,0.5]);
ams_draworbit(oe3,mu,[0,0.5,0]);
ams_draworbit(oe4,mu,[1,0,0]);
axis equal;

opt = struct();
opt.alph = 0.75;
opt.col = [0.1, 0.1, 1];
ams_drawsphere(0.5,[0,0,0],opt);