%testscript 6
clc; clear all;

EF = linspace(-2*pi,2*pi,1000);

e = 0.7;

for I = 1:size(EF,2)
    nue(I) = amsorb_EF_to_nue(EF(I),e);
end

figure(1)
plot(EF,nue);

for I = 1:size(nue,2)
    EF2(I) = amsorb_nue_to_EF(nue(I),e);
end

figure(2)
plot(EF,EF);

for I = 1:size(EF,2)
    M(I) = amsorb_EF_to_M(EF(I),e);
    EF3(I) = amsorb_M_to_EF(M(I),e);
end

figure(3);
clf; hold on;
plot(EF,M,'r');
plot(EF3,M,'b');
