clc; clear all;
path('../matlab_lib',path);

r0 = [1,0,0]';
v0f = [0,1,0]'
r1 = [0,1,0]';
v1f = [-1,0,0]';
mu = 1;

oe0 = amsorb_rv_to_oe(r0,v0f,mu);
oe1 = amsorb_rv_to_oe(r1,v1f,mu);

[v1_sw, v2_sw, v1_lw, v2_lw] = amsorb_Gaussp(r0,r1,5,mu);

oet_sw = amsorb_rv_to_oe(r0,v1_sw);
oet_lw = amsorb_rv_to_oe(r0,v1_lw);

figure(1)
clf; hold on;
sopt = struct();
sopt.col = [0,0,1];
ams_drawsphere(0.5,[0,0,0],sopt);
ams_draworbit(oe0,mu,[1,0,0]);
ams_draworbit(oe1,mu,[0,0,1]);
ams_draworbit(oet_sw,mu,[0,0.5,0]);
ams_draworbit(oet_lw,mu,[0.5,0,0.5]);

axis equal;