%returns a direction cosine matrix relative to (X,Y,Z) given an axis and an
%angle
%function DCM = ams_DCM_axang(axis,angle)
function DCM = ams_DCM_axang(axis,angle)

if(norm(axis)>0)
    axis = axis./norm(axis);
end
M2 = [0, axis(3), -axis(2); -axis(3), 0, axis(1); axis(2), -axis(1), 0];

DCM = expm(-angle.*M2);

return
