%Simple numerical differentiation
%Assumes fp(x(end)) = fp(x(end-1));
%
function fp = ams_differentiate(x,f)

for I = 2:size(x,2)
	dx = x(I)-x(I-1);
	df = f(I)-f(I-1);
	fp(I-1) = df/dx;
end
fp(size(x,2)) = fp(size(x,2)-1);

return
