%Simple numerical integration of function ams_integrate
%assumes that F_i(x(1)) = 0
%function F_i = ams_integrate(x,f)
function F_i = ams_integrate(x,f)

F_i = zeros(size(x,1),size(x,2));

for I = 2:size(x,2)
	dx = x(I)-x(I-1);
	fbar = 0.5*(f(I)+f(I-1));
	F_i(I) = F_i(I-1)+fbar*dx;
end


return
