%Debug visualization script

%How do these points in z-space look?

%Problem: F(x,y) = x^2+y^2 (minimize x^2+y^2)
%g(x) = a*x+b*y+c = 0

A = 2.0.*rand(2,2)-ones(2,2);
A = 0.5.*(A+A');

A(2,2) = 0;

x = linspace(-5,5,100);
y = linspace(-5,5,100);

for I = 1:size(x,2)
    for J = 1:size(y,2)
        xx(I,J) = x(I);
        yy(I,J) = y(J);
        v = [x(I),y(J)]';
        ff(I,J) = v'*A*v;
    end
end

contourf(xx,yy,ff);
A

[c,d] = eig(A);

[c,d]
