%Converts a julian day to a date string
%function datstr = ams_JD_to_str(JD)
function datstr = ams_JD_to_str(JD,short)

if(nargin<2)
    short = 0;
end

[yr,mn,dy,hr,min,sec_b] = ams_inverse_juliandate(JD);

mnths = {'Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec','ERR'};
if(mn<1 || mn > 12)
    mn = 13;
end
mnstr = mnths{mn};

if(short == 0)
    datstr = sprintf('%d %s %d %d:%d:%1.1f',yr,mnstr,dy,hr,min,sec_b);
else
    datstr = sprintf('%d%s%d',yr,mnstr,dy);
end

return