function [a0,a1,a2,a3] = ams_splinecoeff(x0,v0,t0,xf,vf,tf)

A = [1, t0, t0^2, t0^3; 0, 1, 2*t0, 3*t0^2; 1, tf, tf^2, tf^3; 0, 1, 2*tf, 3*tf^2];
b1 = [x0(1), v0(1), xf(1), vf(1)]';
b2 = [x0(2), v0(2), xf(2), vf(2)]';
b3 = [x0(3), v0(3), xf(3), vf(3)]';
c1 = (A^-1)*b1;
c2 = (A^-1)*b2;
c3 = (A^-1)*b3;

a0 = [c1(1), c2(1), c3(1)]';
a1 = [c1(2), c2(2), c3(2)]';
a2 = [c1(3), c2(3), c3(3)]';
a3 = [c1(4), c2(4), c3(4)]';

return