function [x,v,a] = ams_splineinterp_v2(a0,a1,a2,a3,t,t0,tf)
tn = (t-t0)/(tf-t0); %Normalized time

x = a0+a1.*tn+a2.*tn^2+a3.*tn^3;
v = (a1+2.*a2.*tn+3.*a3.*tn^2)./(tf-t0);
a = (2.*a2+6.*a3.*tn)./((tf-t0)^2);

return