function oe = amsorb_calcoeaux(oe)

if(~isfield(oe,'a')&&~isfield(oe,'p'))
    fprintf('Error! a and p are both undefined!\n');
    return;
else
    if(~isfield(oe,'a'))
        oe.a = oe.p/(1-oe.e^2);
    elseif(~isfield(oe,'p'))
        oe.p = oe.a*(1-oe.e^2);
    end
end

EF = amsorb_nue_to_EF(oe.nue,oe.e);
if(abs(oe.e)<=1)
    oe.E = EF;
else
    oe.F = EF;
end
oe.EF = EF;


return