%Constraint function for trajectory optimization
function cv = amsorb_top2_fcnst(z,fpars)
cv = zeros(6,1);

t0 = fpars.t0;
tf = fpars.tf;
rf = fpars.rf; %final position target that you must meet
vf = fpars.vf; %final velocity target that you must meet

optpars = amsorb_top2_spool_z(z,t0,tf);
outs = amsorb_top2_traj(optpars,fpars);

rerr = rf - outs.rlst{end};
verr = vf - outs.vlst{end};

cv = [rerr./1E9;verr./1E3];

return