function optpars = amsorb_top2_spool_z(z,t0,tf)

optpars = struct();
%bvalid  - given the thrust and dVs, is it likely that a solution can be found? 
Nazel = (size(z,1)-2)/4;
tf0 = z(1);
tff = z(2);
tt0 = tf0*(tf-t0);
ttf = tff*(tf-t0);
azlst1 = z(3:Nazel+2)';
ellst1 = z(1*Nazel+3:2*Nazel+2)';
azlst2 = z(2*Nazel+3:3*Nazel+2)';
ellst2 = z(3*Nazel+3:4*Nazel+2)';
optpars.tt0 = tt0;
optpars.ttf = ttf;
optpars.azlst1 = azlst1;
optpars.ellst1 = ellst1;
optpars.azlst2 = azlst2;
optpars.ellst2 = ellst2;

return