function vint = amsorb_top2_vinterp(v_lst,t0,tf,t)

N_lst = size(v_lst,2);

if(t<=t0)
    vint = v_lst{1};
    if(norm(vint)<1E-16)
        vint = [0;0;0]';
    else
        vint = vint./norm(vint);
    end
elseif(t>=tf)
    vint = v_lst{N_lst};
    if(norm(vint)<1E-16)
        vint = [0;0;0]';
    else
        vint = vint./norm(vint);
    end
else
   J = 1;
   I = 1;
   while(J<N_lst)
       if(t>(tf-t0)/(N_lst-1)*(J-1)+t0)
           I = J;
       end
       J = J+1;
   end
   tt0 = (tf-t0)/(N_lst-1)*(I-1)+t0;
   tt1 = (tf-t0)/(N_lst-1)*(I)+t0;
   vint = v_lst{I}.*(tt1-t)/(tt1-tt0)+v_lst{I+1}.*(t-tt0)/(tt1-tt0);
   if(norm(vint)<1E-16)
        vint = [0;0;0]';
   else
        vint = vint./norm(vint);
   end
end


return