function rs = amsorb_top_unwrappars(x0,Nps,fopt)

rs = {};

rs{1} = fopt.rc0; %first two control points are fixed by problem (position and velocity)
rs{2} = fopt.rc1;

for I = 3:(Nps-2)
    rs{I} = [x0(3*(I-3)+1),x0(3*(I-3)+2),x0(3*(I-3)+3)]';
end

rs{Nps-1} = fopt.rcNm1; %last two control points are fixed (position and velocity)
rs{Nps} = fopt.rcN;

return

% x0 = zeros((Nps-4)*3,1);
% for I = 3:Nps-2
%     x0((I-3)*3+1) = rc{I}(1);
%     x0((I-3)*3+2) = rc{I}(2);
%     x0((I-3)*3+3) = rc{I}(3);
% end

% function rs = int_unspoolcontrol(rcv,N,fopt)
% rs = {};
% 
% rs{1} = fopt.rc0; %first two control points are fixed by problem (position and velocity)
% rs{2} = fopt.rc1;
% 
% for I = 3:(N-2)
%     rs{I} = [rcv(3*(N-1)+1),rcv(3*(N-1)+2),rcv(3*(N-1)+3)]';
% end
% 
% rs{N-1} = fopt.rcNm1; %last two control points are fixed (position and velocity)
% rs{N} = fopt.rcN;
% 
% return