%function ams_drawplaintri(p1,p2,p3,color)
%draws a plain triangle between p1,p2, and p3 - (column vectors)
%with the line-color specified by color
%
function ams_drawplaintri(p1,p2,p3,color)

hold on;
s1 = [p1, p2];
s2 = [p2, p3];
s3 = [p3, p1];
plot3(s1(1,:),s1(2,:),s1(3,:),'Color',color);
plot3(s2(1,:),s2(2,:),s2(3,:),'Color',color);
plot3(s3(1,:),s3(2,:),s3(3,:),'Color',color);

return
